# W3C Validator

This module uses the api provided by the W3C markup validator to validate the
html of any url or of all urls on your site.

It requires to have a validator instance installed somewhere.
*NOTE:* You could use the official validator for testing but it is higly
discouraged to use it for high volume validation.

This module let's you :

- Validate a new page when a new node is published or when a published node
  is changed.
- Validate all page at once and display a validity report.
*NOTE:* validation is done as an anonymous user.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/w3c_validator).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/w3c_validator).


## Requirements

For Debian based distributions you can install an instance of the w3c validator
by installing the package w3c_markup_validator.


## Installation

Install this module via composer

`composer require drupal/w3c_validator`


## Configuration

Once you have the validator installed you can activate this module and go to
`admin/settings/w3c_validator` and enter the url of the installed validator.

To use the official W3C validator you can enter this url:
`https://validator.w3.org/nu`

To use default install of the w3c_markup_validator package the url might be
like: `http://localhost/w3c-markup-validator`

For validating single urls you should visit the path /validator and enter any
url.

For validating your entire site you should visit `admin/reports/w3c_validator`.


## Maintainers

- Dominique CLAUSE: [Dom.](https://freelance-drupal.com)
